from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XUIConfigurationListener(XEventListener, Protocol):
    def elementInserted(self, Event: ConfigurationEvent) -> None: ...
    def elementRemoved(self, Event: ConfigurationEvent) -> None: ...
    def elementReplaced(self, Event: ConfigurationEvent) -> None: ...
